
export function initialize(id, componentInstance, addListeners) {

    dispose(id);

    const element = document.getElementById(id);
    if (element) { 

        const carousel = new bootstrap.Carousel(element);

        if (addListeners) {
            element.addEventListener('slide.bs.carousel', async event => {
                await componentInstance.invokeMethodAsync("OnSlideCarousel", event.direction, event.from, event.to);
            });

            element.addEventListener('slid.bs.carousel', async event => {
                await componentInstance.invokeMethodAsync("OnSlidCarousel", event.direction, event.from, event.to);
            });
        }
    }

    return {
        dispose: () => dispose(id)
    };
}

export function to(id, index) {
    const element = document.getElementById(id)
    if (element) {
        const carousel = bootstrap.Carousel.getInstance(element);
        if (carousel) {
            carousel.to(index);
        }
    }
}

export function dispose(id) {
    const element = document.getElementById(id)
    if (element) {

        let carousel = bootstrap.Carousel.getInstance(element);
        if (carousel) {
            carousel.dispose();
        }
    }
}